using System.Web.Mvc;
using Telerik.Web.Mvc;
using TabStripMVC.Models;

namespace TabStripMVC.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewData["Message"] = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult PostTabStrip() 
        {
            return View(new Tab123Model());
        }

        [HttpPost]
        public ActionResult PostTabStrip(Tab123Model item)
        {
            if (ModelState.IsValid) 
            {
                RedirectToAction("PostTabStrip");
            }
            return View(item);
        }
    }
}
